import { defineUniPages } from '@uni-helper/vite-plugin-uni-pages'

export default defineUniPages({
  globalStyle: {
    navigationStyle: 'default',
    navigationBarTitleText: 'unibest',
    navigationBarBackgroundColor: '#f8f8f8',
    navigationBarTextStyle: 'black',
    backgroundColor: '#FFFFFF',
  },
  easycom: {
    autoscan: true,
    custom: {
      '^wd-(.*)': 'wot-design-uni/components/wd-$1/wd-$1.vue',
      '^(?!z-paging-refresh|z-paging-load-more)z-paging(.*)':
        'z-paging/components/z-paging$1/z-paging$1.vue',
    },
  },
  tabBar: {
    color: '#999999',
    selectedColor: '#018d71',
    backgroundColor: '#F8F8F8',
    borderStyle: 'black',
    fontSize: '10px',
    iconWidth: '24px',
    spacing: '3px',
    custom: true,
    height: '0px',
    list: [
      {
        pagePath: 'pages/home/index',
      },
      {
        pagePath: 'pages/material/index',
      },
      // {
      //   pagePath: 'pages/publish/index',
      // },
      {
        pagePath: 'pages/messages/index',
      },
      {
        pagePath: 'pages/mine/index',
      },
    ],
  },
  condition: {
    current: -1,
    list: [
      { name: '设计游学', path: 'pages/index/study-tour/index' },
      { name: '登录', path: 'pages-sub/login/index' },
      { name: '开发登录', path: 'pages-sub/login/index', query: 'type=test' },
      { name: '我的', path: 'pages/mine/index' },
      { name: '设计师认证', path: 'pages-sub/mine/authentication/index' },
      { name: '设计师认证提交成功', path: 'pages-sub/mine/authentication/submit/success/index' },
      { name: '设计师个人主页', path: 'pages-sub/mine/homepage/index' },
      {
        name: '确认订单',
        path: '/pages-sub/home/mall/confirm-order/index',
        query:
          'data={"isShoppingCart":1,"userId":287,"list":[{"orderNo":"241030170642FX00009","productId":"67131ee4e4b06312aac7e0e9","productName":null,"points":123,"nums":1,"orderImgUrl":"https://image.zhuchaohui.com/zhucaohui/8e5ed57d8a1c8826c9cadb01d2ee39f584c6af1c0269f82c72d60c5461b5f790.png"},{"orderNo":"241030170642FX00010","productId":"67208f37d5c1cec120ffcaae","productName":null,"points":30,"nums":3,"orderImgUrl":"https://image.zhuchaohui.com/zhucaohui/8a4db4e05845032124460e1eeda0a9f2419dd1014947e3f26652da1fa1cc4b54.jpeg"}],"couponList":[],"totalsPoints":213,"totalsCouponPoints":0,"totalsCurrPoints":0}',
      },
      { name: '商品兑换成功', path: '/pages-sub/home/mall/purchased/success/index' },
      { name: '购物车', path: '/pages-sub/home/mall/shopping-cart/index' },
      { name: '支付成功', path: '/pages-sub/mine/scan/pay/success/index' },
    ],
  },
  subPackages:[
	  {
		  root:"pages-sub",
		  pages:[
				{
				  "path": "home/about/index",
				  "type": "page",
				  "style": {
					"navigationStyle": "custom",
					"navigationBarTitleText": "1分钟快速了解筑巢荟"
				  }
				},
				{
				  "path": "home/classmates/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "同学荟",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/classmates-detail/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "详情",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/content/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "详情",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/mall/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "品质商城",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/moment/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "详情",
					"navigationBarBackgroundColor": "#fff",
					"navigationStyle": "custom"
				  }
				},
				{
				  "path": "home/offline-activity/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "线下活动",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/schedule/index",
				  "type": "page",
				  "style": {
					"navigationStyle": "custom",
					"navigationBarTitleText": "游学日程"
				  }
				},
				{
				  "path": "home/spread/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "设计传播",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/study-tour/detail",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "游学计划",
					"navigationBarBackgroundColor": "#fff",
					"navigationStyle": "custom"
				  }
				},
				{
				  "path": "home/study-tour/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "设计游学",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/study-tour/list",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "游学计划",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/activity/detail/index",
				  "type": "page",
				  "style": {
					"navigationStyle": "custom"
				  }
				},
				{
				  "path": "home/activity/images/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "活动图片",
					"navigationBarBackgroundColor": "#ffffff"
				  }
				},
				{
				  "path": "home/mall/confirm-order/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "确认订单",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/mall/detail/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "品质商城",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/mall/shopping-cart/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "购物车",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/offline-activity/cycling-rankings/index",
				  "type": "page",
				  "style": {
					"navigationStyle": "custom"
				  }
				},
				{
				  "path": "home/offline-activity/list/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "线下活动",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/spread/case-shooting/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "案例拍摄",
					"navigationBarBackgroundColor": "#ffffff"
				  }
				},
				{
				  "path": "home/spread/design-awards/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "设计奖项",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/spread/product-detail/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "",
					"navigationBarBackgroundColor": "#fff"
				  }
				},
				{
				  "path": "home/spread/wx-agent-operation/index",
				  "type": "page",
				  "style": {
					"navigationBarTitleText": "微信代运营",
					"navigationBarBackgroundColor": "#ffffff"
				  }
				},
				 {
					  "path": "home/mall/purchased/success/index",
					  "type": "page",
					  "style": {
						"navigationBarTitleText": "",
						"navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "home/spread/case-shooting/photographer/index",
					  "type": "page",
					  "style": {
						"navigationBarTitleText": "案例拍摄",
						"navigationBarBackgroundColor": "#ffffff"
					  }
					},
					{
					  "path": "about/about",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "关于"
					  }
					},
					{
					  "path": "login/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "登录"
					  }
					},
					{
					  "path": "common/content-html/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "common/webview/index",
					  "type": "page"
					},
					{
					  "path": "publish/moment/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "个人动态",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "publish/tags/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "添加标签",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "common/status/success/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/agents/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "客服",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/authentication/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "设计师认证",
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/convention/index",
					  "type": "page",
					  "style": {
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/coupons/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "优惠券包",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/homepage/index",
					  "type": "page",
					  "style": {
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/honors/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "我的荣誉",
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/invite/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "邀请设计师",
					    "navigationBarBackgroundColor": "#fff",
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/levels/index",
					  "type": "page",
					  "style": {
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/orders/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "我的订单",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/points/index",
					  "type": "page",
					  "style": {
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/setting/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "个人设置"
					  }
					},
					{
					  "path": "mine/homepage/channels/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "关联视频号",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/homepage/consult/index",
					  "type": "page",
					  "style": {
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/homepage/edit/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "编辑",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/homepage/qr-code/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "个人码",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/homepage/statistics/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "主页数据",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/honors/detail/collection",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "我的典藏",
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/honors/detail/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "我的荣誉",
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/honors/leaderboard/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "获取榜单",
					    "navigationStyle": "custom"
					  }
					},
					{
					  "path": "mine/levels/rules/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "等级规则",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/orders/code/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "兑换码",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/orders/detail/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "订单详情",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/scan/result/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "扫码结果",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/setting/mobile/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "手机号"
					  }
					},
					{
					  "path": "mine/authentication/submit/success/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "提交成功"
					  }
					},
					{
					  "path": "mine/homepage/consult/success/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "提交成功"
					  }
					},
					{
					  "path": "mine/scan/pay/success/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "",
					    "navigationBarBackgroundColor": "#fff"
					  }
					},
					{
					  "path": "mine/setting/mobile/modify/index",
					  "type": "page",
					  "style": {
					    "navigationBarTitleText": "修改手机号"
					  }
					}
			]
	  }
  ]
})
